Get card PIN
Retrieves the encrypted card PIN.
Encryption: The PIN is returned as an AES-128-GCM encrypted payload. Use the session’s AES key to decrypt it.
PIN Block Format (ISO 9564-1 Format 2): After decryption, the plaintext is a 16-character PIN block with the following structure:
- Byte 0: Control field (
2indicates Format 2) - Byte 1: PIN length in hexadecimal (4-12)
- Bytes 2-(1+N): The actual PIN digits
- Remaining bytes: Padding (
F)
Example:
A 4-digit PIN “1234” would be encoded as: 241234FFFFFFFFFF
Parsing the PIN block:
const pinLength = parseInt(pinBlock[1], 16);
const pin = pinBlock.slice(2, 2 + pinLength);Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The id of the card whose pin is being requested
Request Body required
Section titled “Request Body required ”object
Base64-encoded RSA-encrypted AES-128 key used for PIN decryption
object
Base64-encoded RSA-encrypted AES-128 key used for PIN decryption
object
Base64-encoded RSA-encrypted AES-128 key used for PIN decryption
Responses
Section titled “ Responses ”The encrypted PIN block for the card. When decrypted, the plaintext is an ISO 9564-1 Format 2 PIN block.
The encrypted PIN block for the card. When decrypted, the plaintext is an ISO 9564-1 Format 2 PIN block.
object
object
Base64-encoded initialization vector for AES-GCM decryption
Base64-encoded AES-GCM encrypted PIN block
Response for status 401
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence
The authentication realm
The required scope for this resource
Response for status 404
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence
The type of resource that was not found
The identifier of the resource that was not found
Response for status 500
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence